package com.loveCoding.j20250517_java_array;

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo07
 * @description 数组的基本查找：
 * 已知一个数组 arr = {19, 28, 37, 46, 50};
 * 键盘录入一个数据，查找该数据在数组中的索引，并在控制台输出找到的索引值。
 * @create 2025/5/17
 */
public class Demo07 {
    public static void main(String[] args) {
        int[] arr = {19, 28, 37, 46, 50};
        Scanner sc=new Scanner(System.in);
        int in=sc.nextInt();
        for (int i = 0; i < arr.length; i++) {
            if(arr[i]==in) {
                System.out.println(i);
                return; //结束整个方法--截停整个方法代码的执行
            }
        }
        System.out.println(-1);
    }
}
